Bug 77640 - pyste not installed as part of devel/boost-python
Summary: pyste not installed as part of devel/boost-python
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Simon Barner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-02-17 14:50 UTC by Henry Miller
Modified: 2005-03-07 10:32 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Henry Miller 2005-02-17 14:50:24 UTC
devel/boost-python should include the utility pyste.   Documentation for this is included, but the utility is not installed.

Fix: 

Go to the directory : ports/devel/boost-python/work/boost_1_32_0/libs/python/pyste
 and install as normal for a python script.

Note that this depends on devel/gccxml and elementtree (I didn't find this in ports, but it should be easy to install, see the README file in that directory), dependencies might need to be adjusted.
How-To-Repeat: install devel/boost-python

note that pyste.py  is not installed anywhere - should be in /usr/local/bin
Comment 1 Volker Stolz freebsd_committer 2005-02-24 09:48:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->barner

Over to maintainer
Comment 2 Simon Barner freebsd_committer 2005-03-01 10:35:55 UTC
State Changed
From-To: open->feedback

Sent a patch to the originator, asking him to test it because 
I do not use pyste.
Comment 3 Simon Barner freebsd_committer 2005-03-07 10:31:28 UTC
State Changed
From-To: feedback->closed

Support for pyste has been added, thanks for your hint!